
# get graphics card info
if(-Not (Get-ChildItem -Path .\ -Filter $output_folder -Directory -ErrorAction SilentlyContinue))
{
    echo "Creating '$output_folder' folder..."
	New-Item -Path .\ -Name $output_folder -ItemType "directory"
}

echo "Logging video info"
Get-WmiObject win32_VideoController > .\$output_folder\video_info.log

# copy qtdiag.exe files to bricscad folder and run it to get info
Copy-Item -Path .\scripts\qtdiag.exe -Destination "$bricscad_folder\"
Copy-Item -Path .\scripts\opengl32sw.dll -Destination "$bricscad_folder\"

# run qtdiag.exe
cmd /c "$bricscad_folder\qtdiag.exe" > "$output_folder\qtdiag.log" 2>&1

#Read-Host -Prompt "Press Enter to exit..."
